class Trace::SystemInfoService < Trace::ClientService 

  attr_accessor :token

  def initialize(token)
    @token = token
  end 

  def call
    result = authed_get(token, url)
    response = render_response(result)
  end

  private 
  def url 
    '/user/systemInfo'.freeze
  end
end